commit:     09d2b97017025219a569632d489d8017a023c1f5
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 10 08:50:41 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Oct 10 14:49:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09d2b970

dev-qt/qtconnectivity: add 6.6.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtconnectivity/Manifest                    |  1 +
 dev-qt/qtconnectivity/qtconnectivity-6.6.0.ebuild | 72 +++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-qt/qtconnectivity/Manifest b/dev-qt/qtconnectivity/Manifest
index 42cd00d6d59f..66af77e080e9 100644
--- a/dev-qt/qtconnectivity/Manifest
+++ b/dev-qt/qtconnectivity/Manifest
@@ -1,2 +1,3 @@
 DIST qtconnectivity-everywhere-src-6.5.2.tar.xz 985972 BLAKE2B 
e7f3d8ad3580336d7eaff50e8ac2af3b291462544ebc5ca3d049d045a8388668d5e54a075375aaa9c99b3232ec07063dc4b7288bdc9fee83843fe57909e5e35b
 SHA512 
76d9569ecfbbb4355587779a9aa0abf20f7d08484a2634e6c3b49a71b057451c54fd5fd344b4c376206384e5f1e9264a6bbbcd85ee44f15637c116f411d4aa30
 DIST qtconnectivity-everywhere-src-6.5.3.tar.xz 986024 BLAKE2B 
70ac7bc70d4c4cde2f03acdebf90024977237c208fb342adc0f680ab6bb96e06966ad61c991178bd46638bf5abbcf075159ec48241ef9423ea8b385c53360976
 SHA512 
d0a8309143545689c7f6f545ae1aa8e1b4e516398bc6cc0d0f0ea3df6a414d6c933d32ae32451134d2a0d7d2c02078e8e46438b0aec59e938e4b8533d4da9457
+DIST qtconnectivity-everywhere-src-6.6.0.tar.xz 989076 BLAKE2B 
4ad09c18fe259042b8242a52baaccbf0b70d9b4f6f7029513ca90074b9f2b801397115eb9aed95fc2c2503d1fd7aae72942481b058c596f59db5ff06b3775f43
 SHA512 
f660edbfaa9aefebdb602bb44b2e62b8a5d8dceba4b8c3d73d0f9daf6c29ff5f8953c134dc5af79dfd90b888f97d99e44f91a8e0aee3a51b278747eee2d1c381

diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.6.0.ebuild 
b/dev-qt/qtconnectivity/qtconnectivity-6.6.0.ebuild
new file mode 100644
index 000000000000..47506d7b4b09
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.6.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64"
+fi
+
+IUSE="+bluetooth nfc smartcard"
+REQUIRED_USE="|| ( bluetooth nfc )"
+
+RDEPEND="
+       ~dev-qt/qtbase-${PV}:6[network]
+       bluetooth? (
+               ~dev-qt/qtbase-${PV}:6[dbus]
+               net-wireless/bluez:=
+       )
+       nfc? (
+               smartcard? ( sys-apps/pcsc-lite )
+       )
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+       # most hardware tests are auto-skipped, but some still misbehave
+       # if bluez/hardware is available (generally tests here may not be
+       # very relevant without hardware, lists may need to be extended)
+       tst_qbluetoothlocaldevice
+       tst_qbluetoothserver
+       tst_qbluetoothservicediscoveryagent
+       tst_qbluetoothserviceinfo
+       tst_qlowenergycontroller
+)
+
+src_prepare() {
+       qt6-build_src_prepare
+
+       use bluetooth ||
+               sed -i '/add_subdirectory(bluetooth)/d' src/CMakeLists.txt || 
die
+       use nfc ||
+               sed -i '/add_subdirectory(nfc)/d' src/CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(usev nfc $(qt_feature smartcard pcsclite))
+       )
+
+       qt6-build_src_configure
+}
+
+src_install() {
+       qt6-build_src_install
+
+       # broken (unnecessary) symlink due to add_app() being used over 
add_tool()
+       use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+       if use test; then
+               local delete=( # sigh
+                       "${D}${QT6_BINDIR}"/bluetoothtestdevice
+                       "${D}${QT6_BINDIR}"/bttestui
+                       "${D}${QT6_BINDIR}"/qlecontroller-server
+               )
+               # using -f given not tracking which tests may be skipped or not
+               rm -f -- "${delete[@]}" || die
+       fi
+}

Reply via email to